Bug 121831 - [PATCH] net/openbgpd: [SUMMARIZE CHANGES]
Summary: [PATCH] net/openbgpd: [SUMMARIZE CHANGES]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-18 15:30 UTC by Matthieu Guegan
Modified: 2008-12-18 12:58 UTC (History)
0 users

See Also:


Attachments
file.diff (27.90 KB, patch)
2008-03-18 15:30 UTC, Matthieu Guegan
no flags Details | Diff
patch2.txt (28.69 KB, text/plain; charset=us-ascii)
2008-05-29 09:12 UTC, Matthieu Guegan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Guegan 2008-03-18 15:30:00 UTC
As for OpenOSPFd port, OpenBGPd port is still on version 4.0.
See the attached file to apply a patch against current version to update it to the latest stable release (4.2).

The following changes were done :
 
o Provide LINK_STATE_IS_UP macros that is missing in FreeBSD.
o Disable CARP demotion: FreeBSD has no support for it.
o Disable check for the routing table number: FreeBSD has
  single routing table now.
o Disable route labeling: FreeBSD has no support for it.

Thanks to Eygene Ryabinkin who made a patch[1] for OpenOSPFd : this one have similar modifications.

Port maintainer (farrokhi@FreeBSD.org) is cc'd.

[1] http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/120788

Fix: Apply the patch submitted with this PR

!! WARNING !!

This patch was _not_ tested in production environment.
Everything is compiling fine, but it's possible that the core engine is broken by this patch.

Please do some tests and reports success/fails here.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-03-18 15:30:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->farrokhi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Matthieu Guegan 2008-05-29 09:05:02 UTC
Thanks to Reto Burkhalter (reto.burkhalter AT basis06 DOT com)
Here is a patch which has been tested successfully into production
environment.

So please apply this patch and not the first one to test obgpd4.2/fbsd.

Reports are welcome

Port maintainer (farrokhi@FreeBSD.org) is cc'd.

-- 
Matthieu Guegan 

-------------------------------------------
Virtua SA  interactive communication agency

En Clamogne 27
CH -1170 Aubonne
T. +41 21 821 15 20
F. +41 21 821 15 21

*www.virtua.ch*  | from internet to business? |
-------------------------------------------
Comment 3 Matthieu Guegan 2008-05-29 09:12:44 UTC
Ooops forgot to attach the patch ... here it is.
Comment 4 Kai Storbeck 2008-06-26 10:32:21 UTC
Hi Matthieu, Bugsquatters,

I have tested the patch-2.diff on freebsd 6.2, and it seems to be  
running without trouble.


This fixes another problem with openbgpd 4.0 where it wouldn't be able  
to have a session over ipv6 due to an invalid sockopt attribute:

--- bgpd/session.c.org  Tue Jun 17 14:14:04 2008
+++ bgpd/session.c      Tue Jun 17 14:14:19 2008
@@ -1115,7 +1115,7 @@

         if (p->conf.ebgp && p->conf.remote_addr.af == AF_INET6)
                 /* set hoplimit to foreign router's distance */
-               if (setsockopt(p->fd, IPPROTO_IPV6, IPV6_HOPLIMIT, &ttl,
+               if (setsockopt(p->fd, IPPROTO_IPV6, IPV6_UNICAST_HOPS,  
&ttl,
                     sizeof(ttl)) == -1) {
                         log_peer_warn(&p->conf,
                             "session_setup_socket setsockopt  
hoplimit");



The above patch is not needed for it to work.


Kai Storbeck
Comment 5 Emanuel Haupt freebsd_committer 2008-10-14 16:27:49 UTC
Responsible Changed
From-To: farrokhi->ehaupt

Committer timeout. I will take care of it.
Comment 6 Emanuel Haupt freebsd_committer 2008-11-05 14:54:01 UTC
Responsible Changed
From-To: ehaupt->freebsd-ports-bugs

No resolution accomplished. Back to the queue.
Comment 7 Stefan Walter freebsd_committer 2008-12-17 15:45:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 8 dfilter service freebsd_committer 2008-12-17 15:58:45 UTC
stefan      2008-12-17 15:58:32 UTC

  FreeBSD ports repository

  Modified files:
    net/openbgpd         Makefile distinfo 
    net/openbgpd/files   patch-bgpctl_Makefile 
                         patch-bgpctl_bgpctl.8 
                         patch-bgpctl_bgpctl.c 
                         patch-bgpctl_fmt_scaled.c 
                         patch-bgpctl_util.h patch-bgpd_bgpd.8 
                         patch-bgpd_bgpd.conf.5 patch-bgpd_carp.c 
                         patch-bgpd_kroute.c 
  Added files:
    net/openbgpd/files   patch-bgpd_parse.y patch-bgpd_printconf.c 
                         patch-bgpd_rde_attr.c 
                         patch-bgpd_rde_rib.c 
                         patch-bgpd_rde_update.c 
                         patch-bgpd_session.c patch-bgpd_util.c 
  Log:
  - Update to 4.2.
  - Provide LINK_STATE_IS_UP macros that is missing in FreeBSD.
  - Disable CARP demotion: FreeBSD has no support for it.
  - Disable check for the routing table number: FreeBSD has single routing table
    now.
  - Disable route labeling: FreeBSD has no support for it.
  
  PR:             121831
  Submitted by:   Matthieu Guegan <matthieu@virtua.ch>
  Approved by:    maintainer timeout (9 months)
  
  Revision  Changes    Path
  1.14      +5 -2      ports/net/openbgpd/Makefile
  1.6       +3 -6      ports/net/openbgpd/distinfo
  1.2       +5 -10     ports/net/openbgpd/files/patch-bgpctl_Makefile
  1.2       +4 -9      ports/net/openbgpd/files/patch-bgpctl_bgpctl.8
  1.5       +17 -7     ports/net/openbgpd/files/patch-bgpctl_bgpctl.c
  1.2       +119 -7    ports/net/openbgpd/files/patch-bgpctl_fmt_scaled.c
  1.2       +117 -6    ports/net/openbgpd/files/patch-bgpctl_util.h
  1.4       +4 -4      ports/net/openbgpd/files/patch-bgpd_bgpd.8
  1.2       +5 -8      ports/net/openbgpd/files/patch-bgpd_bgpd.conf.5
  1.2       +7 -14     ports/net/openbgpd/files/patch-bgpd_carp.c
  1.3       +126 -40   ports/net/openbgpd/files/patch-bgpd_kroute.c
  1.1       +19 -0     ports/net/openbgpd/files/patch-bgpd_parse.y (new)
  1.1       +11 -0     ports/net/openbgpd/files/patch-bgpd_printconf.c (new)
  1.1       +20 -0     ports/net/openbgpd/files/patch-bgpd_rde_attr.c (new)
  1.1       +17 -0     ports/net/openbgpd/files/patch-bgpd_rde_rib.c (new)
  1.1       +19 -0     ports/net/openbgpd/files/patch-bgpd_rde_update.c (new)
  1.3       +13 -0     ports/net/openbgpd/files/patch-bgpd_session.c (new)
  1.1       +10 -0     ports/net/openbgpd/files/patch-bgpd_util.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Stefan Walter freebsd_committer 2008-12-17 16:05:21 UTC
Hi,

I just committed the second patch - thanks for your contribution!

Kai: You wrote that your patch fixes a problem with version 4.0.
Matthieu's patch updated the port to version 4.2. Does your patch still
apply to the new version, i.e. should it still be added to the port?

Regards,
Stefan
Comment 10 Stefan Walter freebsd_committer 2008-12-18 10:41:41 UTC
Kai, 18.12.08, 11:12h CET:

> Hi Stefan,
> 
> I doubt that that patch is needed, I got it from upstream (openbsd's  
> sources): its a fix that removes an old ipv6 option in setsockopt iirc.
> 
> Should I invest more time in it?

I'd say it only needs to be fixed if it's broken, so if nobody notices any
problems, there's no need for a patch. I'll close the PR, then - if any
issues arise, please open a new one!

Thanks and regards,
Stefan
Comment 11 Stefan Walter freebsd_committer 2008-12-18 12:57:45 UTC
State Changed
From-To: open->closed

Committed, thanks!